Skip to main content
POST
/
api
/
semantic-models
/
review
/
batch-approve
Batch Approve Models
curl --request POST \
  --url https://api.example.com/api/semantic-models/review/batch-approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "review_notes": "<string>"
}
'
{
  "successful": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "failed": [
    {}
  ],
  "total_processed": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Request to approve multiple models.

model_ids
string<uuid>[]
required

List of model IDs to approve

review_notes
string | null

Response

Batch approval results

Response for batch operations.

successful
string<uuid>[]
required
failed
Failed · object[]
required
total_processed
integer
required